﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TreeGridSample
{
    public partial class TreeGridDefault : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            var DataSource = this.GetDataSource();
            this.Treegrid.DataSource = DataSource;
            this.Treegrid.DataBind();          

        }
       private List<BusinessObject> GetDataSource()
        {
            List<BusinessObject> list = new List<BusinessObject>();

            list.Add(new BusinessObject()
            {
                Id = Guid.NewGuid(),
                Name = "Parent Task 1",
                StartDate = "02/23/2014",
                EndDate = "02/27/2014",
                PercentDone = "40",
                Children = (new List<BusinessObject>()
                    {
                        new BusinessObject()
                        {
                            Id = Guid.NewGuid(),
                            Name = "Child Task 1",
                            StartDate = "02/23/2014",
                            EndDate="02/27/2014",
                            PercentDone = "40",
                        },
                        new BusinessObject()
                        {
                            Id = Guid.NewGuid(),
                            Name = "Child Task 2",
                            StartDate = "02/23/2014",
                            EndDate="02/27/2014",
                            PercentDone = "40"                            
                        },
                        new BusinessObject()
                        {
                            Id = Guid.NewGuid(),
                            Name = "Child Task 3",
                            StartDate = "02/23/2014",
                            EndDate="02/27/2014",
                            PercentDone = "40"                            
                        }
                    })

            });

            list.Add(new BusinessObject()
            {
                Id = Guid.NewGuid(),
                Name = "Parent Task 2",
                StartDate = "03/14/2014",
                EndDate = "03/18/2014",
                PercentDone = "40",
                Children = (new List<BusinessObject>()
                    {
                        new BusinessObject()
                        {
                            Id =Guid.NewGuid(),
                            Name = "Child Task 1",
                            StartDate = "03/02/2014",
                            EndDate="03/06/2014",
                            PercentDone = "40",
                        },
                        new BusinessObject()
                        {
                            Id = Guid.NewGuid(),
                            Name = "Child Task 2",
                            StartDate = "03/02/2014",
                            EndDate="03/06/2014",
                            PercentDone = "40",
                        },
                        new BusinessObject()
                        {
                            Id =Guid.NewGuid(),
                            Name = "Child Task 3",
                            StartDate = "03/02/2014",
                            EndDate="03/06/2014",
                            PercentDone = "40",
                        },
                        new BusinessObject()
                        {
                            Id = Guid.NewGuid(),
                            Name = "Child Task 4",
                            StartDate = "03/02/2014",
                            EndDate="03/06/2014",
                            PercentDone = "40",
                        }
                    })

            });
            list.Add(new BusinessObject()
            {
                Id = Guid.NewGuid(),
                Name = "Parent Task 3",
                StartDate = "03/09/2014",
                EndDate = "03/13/2014",
                PercentDone = "40",

                Children = (new List<BusinessObject>()
                    {
                        new BusinessObject()
                        {
                            Id = Guid.NewGuid(),
                            Name = "Child Task 1",
                            StartDate = "03/9/2014",
                            EndDate="03/13/2014",
                            PercentDone = "40"
                        },
                        new BusinessObject()
                        {
                            Id = Guid.NewGuid(),
                            Name = "Child Task 2",
                            StartDate = "03/9/2014",
                            EndDate="03/13/2014",
                            PercentDone = "40",
                        },
                        new BusinessObject()
                        {
                            Id = Guid.NewGuid(),
                            Name = "Child Task 3",
                            StartDate = "03/9/2014",
                            EndDate="03/13/2014",
                            PercentDone = "40"
                        },
                        new BusinessObject()
                        {
                            Id = Guid.NewGuid(),
                            Name = "Child Task 4",
                            StartDate = "03/9/2014",
                            EndDate="03/13/2014",
                            PercentDone = "40"
                        },
                        new BusinessObject()
                        {
                            Id = Guid.NewGuid(),
                            Name = "Child Task 5",
                            StartDate = "03/9/2014",
                            EndDate="03/13/2014",
                            PercentDone = "40"
                        }
                    })
            });
            return list;
        }
        

        #region BusinessObject Creation
        public class BusinessObject
        {
            public string StartDate { get; set; }
            public Guid Id { get; set; }
            public string Name { get; set; }
            public string EndDate { get; set; }
            public string PercentDone { get; set; }
            public List<object> ResourceID { get; set; }
            public List<BusinessObject> Children { get; set; }
            public string Predescessor { get; set; }
        }
        #endregion
    }
}

